Bug 991230 - [abrt] deluge-gtk-1.3.6-3.fc19: addtorrentdialog.py:487:set_default_options:KeyError: 'download_location'
[abrt] deluge-gtk-1.3.6-3.fc19: addtorrentdialog.py:487:set_default_options:K...
Status: CLOSED DUPLICATE of bug 989049
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:762ac69a9519dc3970c3803eee6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 18:27 EDT by Kalle Näslund
Modified: 2014-04-25 01:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 18:38:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (725 bytes, text/plain)
2013-08-01 18:28 EDT, Kalle Näslund
no flags Details
File: core_backtrace (417 bytes, text/plain)
2013-08-01 18:28 EDT, Kalle Näslund
no flags Details
File: environ (2.54 KB, text/plain)
2013-08-01 18:28 EDT, Kalle Näslund
no flags Details

  None (edit)
Description Kalle Näslund 2013-08-01 18:27:57 EDT
Version-Release number of selected component:
deluge-gtk-1.3.6-3.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        deluge '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
executable:     /usr/bin/deluge
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
addtorrentdialog.py:487:set_default_options:KeyError: 'download_location'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 302, in _on_torrent_changed
    self.update_torrent_options(model.get_value(row, 0))
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 372, in update_torrent_options
    self.set_default_options()
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 487, in set_default_options
    self.core_config["download_location"])
KeyError: 'download_location'

Local variables in innermost frame:
self: <deluge.ui.gtkui.addtorrentdialog.AddTorrentDialog object at 0x31c6610>
Comment 1 Kalle Näslund 2013-08-01 18:28:02 EDT
Created attachment 781782 [details]
File: backtrace
Comment 2 Kalle Näslund 2013-08-01 18:28:05 EDT
Created attachment 781783 [details]
File: core_backtrace
Comment 3 Kalle Näslund 2013-08-01 18:28:09 EDT
Created attachment 781784 [details]
File: environ
Comment 4 Calum 2013-11-21 18:38:49 EST

*** This bug has been marked as a duplicate of bug 989049 ***

Note You need to log in before you can comment on or make changes to this bug.